<!--
 DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
 
 Copyright 1997-2007 Sun Microsystems, Inc. All rights reserved.
 
 The contents of this file are subject to the terms of either the GNU
 General Public License Version 2 only ("GPL") or the Common Development
 and Distribution License("CDDL") (collectively, the "License").  You
 may not use this file except in compliance with the License. You can obtain
 a copy of the License at https://glassfish.dev.java.net/public/CDDL+GPL.html
 or glassfish/bootstrap/legal/LICENSE.txt.  See the License for the specific
 language governing permissions and limitations under the License.
 
 When distributing the software, include this License Header Notice in each
 file and include the License file at glassfish/bootstrap/legal/LICENSE.txt.
 Sun designates this particular file as subject to the "Classpath" exception
 as provided by Sun in the GPL Version 2 section of the License file that
 accompanied this code.  If applicable, add the following below the License
 Header, with the fields enclosed by brackets [] replaced by your own
 identifying information: "Portions Copyrighted [year]
 [name of copyright owner]"
 
 Contributor(s):
 
 If you wish your version of this file to be governed by only the CDDL or
 only the GPL Version 2, indicate your decision by adding "[Contributor]
 elects to include this software in this distribution under the [CDDL or GPL
 Version 2] license."  If you don't indicate a single choice of license, a
 recipient has the option to distribute your version of this file under
 either the CDDL, the GPL Version 2 or to extend the choice of license to
 its licensees as provided above.  However, if you add GPL Version 2 code
 and therefore, elected the GPL Version 2 license, then the option applies
 only if the new code is made subject to such option by the copyright
 holder.
-->
<!-- regReminder.inc -->
#Text: # ffffff (white)
#Text Link: # b9d2e9
#Background: # 5382a1 

<sun:markup rendered="#{askRegistration}" tag="div" id="popup" style="height: 286px; width: 423px; z-index: 9999; background-image: url('#{request.contextPath}/resource/images/regReminderBackground.png'); background-color: #FFFFFF; background-repeat: no-repeat; position: absolute; top: 100px; margin: auto;  display: none; font-family:Arial, Helvetica, sans-serif;">
    <!beforeCreate
        setAttribute(key="contextRoot" value="#{request.contextPath}");
    />
    <!afterCreate
        setAttribute(key="popupId" value="$this{clientId}");
    />
    <f:verbatim>
	<style type="text/css">
	    .bulletList {font-weight: bold; font-size: 1.2em; font-style: italic; color: #FFFFFF;}
	    .bulletList a {font-weight: normal;}
	    .bulletList a:link, .bulletList a:visited {color: #b9d2e9;}
	    .bulletList ul {padding-left: 0px; padding-bottom: 15px; margin-left: 90px;}
	    .bulletList li {font-style: normal; font-size: .9em; letter-spacing: -1px; list-style: url('#{request.contextPath}/resource/images/regReminderBullets.png'); padding-bottom: 8px;}
	    .please {color: #FFFFFF; font-size: 1.6em; font-weight: bold; padding-bottom: 10px;}
	    .why {color: #b9d2e9; font-size: 1.3em; font-weight: bold; font-style: italic; padding-bottom: 8px;}
	    .why a:link, .why a:visited {color: #b9d2e9;}
	</style>
            <div style="padding-left: 135px; font-size: 1.2em;">
		<br />
		<div class="please" >$resource{i18n.reg.pleaseReg}</div>
		<div id="why" class="why">
		    <a href="https://reg.sun.com/whyregister?program=sdn" target="_blank" >$resource{i18n.reg.whyRegister}</a>
		</div>
		<div class="bulletList">
		    $resource{i18n.reg.whyRegisterList}
		</div>
	    </div>

		<div style="text-align: center;">
    </f:verbatim>
        <sun:button text="$resource{i18n.button.register}" 
              onClick="document.getElementById('${popupId}').style.visibility='hidden'; window.location='#{request.contextPath}/sysnet/#{registrationNodePage}.jsf' 
               admingui.nav.selectTreeNodeById('form:registration'); return false;" onKeyPress="javascript: return false;">
        </sun:button>
        <sun:button text="$resource{i18n.button.regRemind}" onClick="document.getElementById('${popupId}').style.visibility='hidden';" primary="#{false}" onKeyPress="javascript: return true;">
            <!command
                setRegistrationRemindLater();
                setCookie(key="appServerRegistrationRemindLaterCookie" value="true" maxAge="1296000");
                if(! $session{supportCluster}){
                    redirect("commonTask.jsf");
                }
                if($session{supportCluster}){
                    redirect("clusterCommonTask.jsf");
                }
            />
        </sun:button>
        <sun:button text="$resource{i18n.button.regNever}" onClick="document.getElementById('${popupId}').style.visibility='hidden';" primary="#{false}" onKeyPress="javascript: return true;">
            <!command
                setRegistrationDontAsk();
                if(! $session{supportCluster}){
                    redirect("commonTask.jsf");
                }
                if($session{supportCluster}){
                    redirect("clusterCommonTask.jsf");
                }
            />
        </sun:button>
	<sun:button text="$resource{i18n.button.Cancel}" onClick="document.getElementById('${popupId}').style.visibility='hidden'; " primary="#{false}"  onKeyPress="javascript: return true;">
	    <!command
		setSessionAttribute(key="dontAskRegistrationInThisSession" value="true");
		if(! $session{supportCluster}){
                    redirect("commonTask.jsf");
                }
                if($session{supportCluster}){
                    redirect("clusterCommonTask.jsf");
                }
	    />
	    </sun:button>
	"</div>

    <sun:script>
	<f:verbatim>
	    function initReminderBox() {
		// Call the old onLoad (1 time)
		window.oldRegOnload();
		window.oldRegOnload = function() {};

		// Center it
		var popup = document.getElementById('${popupId}');
		var width = document.getElementById('content').offsetWidth;
		popup.style.left = ((width - 423) / 2 + "px");

		// Show it
		popup.style.display = 'block';
	    }
	    window.onresize = initReminderBox;
	    window.oldRegOnload = window.onload;
	    window.onload = initReminderBox;
	</f:verbatim>
    </sun:script>
</sun:markup>
